[@rxap/form-system](../wiki/globals) / FormArrayRemovableDirective

# Class: FormArrayRemovableDirective

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L25)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new FormArrayRemovableDirective()

> **new FormArrayRemovableDirective**(`parent`): [`FormArrayRemovableDirective`](../wiki/Class.FormArrayRemovableDirective)

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L32)

#### Parameters

##### parent

`ControlContainer`

#### Returns

[`FormArrayRemovableDirective`](../wiki/Class.FormArrayRemovableDirective)

## Properties

### deletedControl

> `protected` **deletedControl**: `RxapFormControl`\<`boolean`\>

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:29](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L29)

***

### formGroup

> `protected` **formGroup**: `RxapFormGroup`\<\{ `deleted`: `boolean`; \}\>

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:27](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L27)

***

### parent

> `protected` `readonly` **parent**: `ControlContainer`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L32)

## Accessors

### isDeleted

#### Get Signature

> **get** **isDeleted**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:35](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L35)

##### Returns

`boolean`

***

### isDisabled

#### Get Signature

> **get** `protected` **isDisabled**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:39](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L39)

##### Returns

`boolean`

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L43)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:77](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts#L77)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`
